Subject: Re: bug#25454: 25.1; improvement ftoopy-from-above-command

From: Noam Postavsky <[email-masked]>
Date: Sat, 27 Jul 2019 07:29:48 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> Francesco Potortì <[email-masked]> writes:
>
>> This is the version I use:
>>
>> it copies line from above as the stock one, but when called repeatedly
>> it copies from further above lines.  Moreover, when called with a
>> numeric argument, increments all the numbers fund in the copied text by
>> the argument.
>
> This seems pretty useful, but it's an incompatible change, since ARG is
> currently:
>
> Copy ARG characters, but not past the end of that line.
>
> So I don't think this would be a candidate for inclusion in Emacs, but
> perhaps it could be rewritten and made into a M/ELPA package?

Seems a bit small for a separate package.  And the repeated call thing
could be useful in itself.  Couldn't the increment behaviour be enabled
by a non-numeric argument instead?